<?php

namespace InterludeSante\Statistics;

class Establishment
{
    /**
     * Plugin path.
     *
     * @since  1.0
     * @access private
     */
    private $path;

    /**
     * Establishment name.
     *
     * @since  1.0
     * @access private
     */
    private $name;

    public function __construct(string $path)
    {
        $this->path = $path;
        $this->name = $this->getName();
    }

    /**
     * Retrieve the name of the establishment.
     *
     * @since  1.0
     * @access public
     *
     * @return string
     */
    public function getName()
    {
        return get_bloginfo('name');
    }

    /**
     * Display block tabs charts.
     * @access public
     *
     * @return void
     */
    public function displayTabs()
    {
        require_once $this->path . 'views/admin/panel/panel.php';
    }
}
