<?php

function get_pages_custom($request_data)
{
    $object = new stdClass();
    $tabs = array();
    $childrens_first_level = array();
    $childrens_second_level = array();
    $childrens_third_level = array();

    $args = array(
        "post_type" => "page",
        'post_status' => 'publish',
        "posts_per_page" => -1,
        "orderby" => 'menu_order',
        "order" => "ASC",
    );

    $page_query = new WP_Query($args);
    if ($page_query->have_posts()) {
        while ($page_query->have_posts()) {
            $page_query->the_post();
            $page_id = get_the_ID();
            $page_type = get_field("page_type");
            $parent_id = wp_get_post_parent_id($page_id);

            $custom_data = new stdClass();

            switch ($page_type) {

                case 'file':
                    $custom_data->page_file = get_field("page_file");
                    break;
                case 'elevator-list':
                     break;
                case 'single-page':
                    $page_group_menu = get_field('page_group_menu');
                    $custom_data->page_menu_editor = $page_group_menu['page_menu_editor'];
                    $custom_data->page_menu_image_top = $page_group_menu['page_menu_images_top'];
                    $custom_data->page_menu_format_top = $page_group_menu['page_menu_format_top'];
                    $custom_data->page_menu_image_bottom = $page_group_menu['page_menu_images_bottom'];
                    $custom_data->page_menu_format_bottom = $page_group_menu['page_menu_format_bottom'];
                    $custom_data->page_display_app = $page_group_menu['page_display_app'];
                    $custom_data->page_menu_app = $page_group_menu['page_group_app'];
                    break;
                case 'elevator-page':
                    $page_group_menu = get_field('page_group_menu');
                    $custom_data->page_menu_editor = $page_group_menu['page_menu_editor'];
                    $custom_data->page_menu_image_top = $page_group_menu['page_menu_images_top'];
                    $custom_data->page_menu_format_top = $page_group_menu['page_menu_format_top'];
                    $custom_data->page_menu_image_bottom = $page_group_menu['page_menu_images_bottom'];
                    $custom_data->page_menu_format_bottom = $page_group_menu['page_menu_format_bottom'];
                    $custom_data->page_display_app = $page_group_menu['page_display_app'];
                    $custom_data->page_menu_app = $page_group_menu['page_group_app'];
                    break;
                case 'external_link':
                    $custom_data->page_external_link = get_field("page_external_link");
                    break;
                case 'internal_link':
                    $custom_data->page_internal_link = get_field("page_internal_link");
                    break;
                default:
                    break;

            }

            if ($parent_id == 0) {
                $showHome = get_field("page_show_home");
                $showMenu = get_field("page_show_menu");
                $icon = get_field("page_icon");
                $page_image = get_field("page_image");

                array_push($tabs, array(
                    "ID" => $page_id,
                    "title" => get_the_title(),
                    "showHome" => $showHome,
                    "showMenu" => $showMenu,
                    "image" => $page_image,
                    "icon" => $icon,
                    "type" => $page_type,
                    "data" => $custom_data,
                    "link" => array(),
                ));
            } else {
                array_push($childrens_first_level, array(
                    "title" => get_the_title(),
                    "type" => $page_type,
                    "ID" => $page_id,
                    "parent" => $parent_id,
                    "data" => $custom_data,
                    "link" => array(),
                ));
            }
        }
    }

    $childrens_second_level = $childrens_first_level;

    foreach ($childrens_first_level as $key => $children) {
        foreach ($tabs as $tab => $value) {
            if (in_array($children["parent"], $value, true)) {
                array_push($tabs[$tab]["link"], $children);
                unset($childrens_second_level[$key]);
            }
        }
    }
    foreach ($childrens_second_level as $key => $children) {
        foreach ($tabs as $tab => $value) {
            foreach ($value["link"] as $second_level_child => $subChildren) {
                if ($subChildren["ID"] == $children["parent"]) {
                    array_push($tabs[$tab]["link"][$second_level_child]["link"], $children);
                    unset($childrens_second_level[$key]);
                }
            }
        }
    }

    $childrens_third_level = $childrens_second_level;

    foreach ($childrens_third_level as $key => $children) {
        foreach ($tabs as $tab => $value) {
            foreach ($value["link"] as $second_level_child => $subSecondChildren) {
                foreach ($subSecondChildren["link"] as $third_level_child => $subThirdChildren) {
                    if ($children["parent"] == $subThirdChildren["ID"]) {
                        array_push($tabs[$tab]["link"][$second_level_child]["link"][$third_level_child]["link"], $children);
                    }
                }
            }
        }
    }

    $object->code = "success";
    $object->tabs = $tabs;
    return $object;
}

function get_page_by_id($request_data)
{
    $appID = getAppHeader();

    $parameters = $request_data->get_params();

    if (!isset($parameters['id']) || empty($parameters['id'])) {
        return new WP_Error('error', "Missing params id", array('status' => 401));
    }

    $ID = $parameters['id'];

    $tabs = array();
    $childrens_first_level = array();
    $childrens_second_level = array();

    $args = array(
        "post_type" => "page",
        'post_status' => 'publish',
        "posts_per_page" => -1,
        "orderby" => 'menu_order',
        "order" => "ASC",
        'cat' => $appID,
    );

    $page_query = new WP_Query($args);
    if ($page_query->have_posts()) {
        while ($page_query->have_posts()) {
            $page_query->the_post();
            $page_id = get_the_ID();
            $page_type = get_field("page_type");

            $parent_id = wp_get_post_parent_id($page_id);

            $custom_data = new stdClass();
            switch ($page_type) {
                case 'file':
                    $custom_data->page_type_file = get_field("page_file");
                    break;
                case 'elevator-list':
                    break;
                case 'single-page':
                    $page_group_menu = get_field('page_group_menu');
                    $custom_data->page_menu_editor = $page_group_menu['page_menu_editor'];
                    $custom_data->page_menu_image_top = $page_group_menu['page_menu_images_top'];
                    $custom_data->page_menu_format_top = $page_group_menu['page_menu_format_top'];
                    $custom_data->page_menu_image_bottom = $page_group_menu['page_menu_images_bottom'];
                    $custom_data->page_menu_format_bottom = $page_group_menu['page_menu_format_bottom'];
                    $custom_data->page_display_app = $page_group_menu['page_display_app'];
                    $custom_data->page_menu_app = $page_group_menu['page_group_app'];
                    break;
                case 'elevator-page':
                    $page_group_menu = get_field('page_group_menu');
                    $page_group_menu_top = $page_group_menu['page_group_menu_top'];
                    $page_group_menu_bottom = $page_group_menu['page_group_menu_bottom'];

                    $custom_data->page_menu_image_top_left = $page_group_menu_top['page_menu_image_top_left'];
                    $custom_data->page_menu_image_top_right = $page_group_menu_top['page_menu_image_top_right'];

                    $custom_data->page_display_app = $page_group_menu['page_display_app'];
                    $custom_data->page_menu_app = $page_group_menu['page_group_app'];

                   $custom_data->page_menu_image_bottom_left = $page_group_menu_bottom['page_menu_image_bottom_left'];
                    $custom_data->page_menu_image_bottom_right = $page_group_menu_bottom['page_menu_image_bottom_right'];
                    break;
                case 'external_link':
                    $custom_data->page_external_link = get_field("page_external_link");
                    break;
                case 'internal_link':
                    $custom_data->page_internal_link = get_field("page_internal_link");
                    break;

                default:
                    break;
            }

            if ($page_id == $ID) {
                array_push($tabs, array(
                        "title" => get_the_title(),
                        "type" => $page_type,
                        "ID" => $page_id,
                        "parent" => $parent_id,
                        "data" => $custom_data,
                        "link" => array(),
                    ));
            } else {
                array_push($childrens_first_level, array(
                    "title" => get_the_title(),
                    "type" => $page_type,
                    "ID" => $page_id,
                    "parent" => $parent_id,
                    "data" => $custom_data,
                    "link" => array(),
                ));
            }
        }
    }


    $childrens_second_level = $childrens_first_level;

    foreach ($childrens_first_level as $key => $children) {
        foreach ($tabs as $tab => $value) {
            if ($children["parent"] == $value["ID"]) {
                array_push($tabs[$tab]["link"], $children);
                unset($childrens_second_level[$key]);
            }
        }
    }

    foreach ($childrens_second_level as $key => $children) {
        foreach ($tabs as $tab => $value) {
            foreach ($value["link"] as $second_level_child => $subChildren) {
                if ($subChildren["ID"] == $children["parent"]) {
                    array_push($tabs[$tab]["link"][$second_level_child]["link"], $children);
                    unset($childrens_second_level[$key]);
                }
            }
        }
    }

    return $tabs;
}
