<?php

namespace Flynt\CommonFields;

function getCommonFields()
{
    return
    [
        'label' => 'Lien vers une application',
        'name' => 'page_group_app',
        'type' => 'group',
        'sub_fields' => [
            [
                'label' => 'Icon',
                'name' => 'menu_icon',
                'type' => 'image',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => [],
                'wrapper' => [
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ],
                'return_format' => 'url',
                'preview_size' => 'medium',
                'library' => 'all',
                'min_width' => '',
                'min_height' => '',
                'min_size' => '',
                'max_width' => '',
                'max_height' => '',
                'max_size' => '',
                'mime_types' => '',
            ],
            [
                'label' => 'Lien',
                'name' => 'menu_link',
                'type' => 'group',
                'instructions' => '',
                'required' => 0,
                'wrapper' => [
                'width' => '',
                'class' => '',
                'id' => '',
                ],
                'layout' => 'block',
                'sub_fields' => [
                    [
                        'label' => 'app url',
                        'name' => 'menu_app_url',
                        'type' => 'text',
                        'instructions' => 'URL de l\'application. Certaine url d\'application son disponible via le lien <a href="https://github.com/bhagyas/app-urls" target="_blank">https://github.com/bhagyas/app-urls</a>
                        <br>
                        <b>Exemple : </b>
                        <br>
                        Linkedin : linkedin://profile/VOTRE_PROFIL_ID
                        <br>
                        Twitter : twitter:///user?screen_name=VOTRE_PROFIL_ID
                        <br>
                        Facebook : fb://profile/VOTRE_PROFIL_ID
                        <br>
                        Youtube : youtube://VOTRE_LIEN_YOUTUBE
                        <br>
                        Instagram : instagram://user?username=VOTRE_USERNAME
                        ',
                        'required' => 0,
                        'conditional_logic' => [],
                        'wrapper' => [
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ],
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ],
                    [
                        'label' => 'android package name',
                        'name' => 'menu_android_package',
                        'type' => 'text',
                        'instructions' => 'ID de l\'application android disponible sur la page de téléchargement dans l\'url du google play store',
                        'required' => 0,
                        'conditional_logic' => [],
                        'wrapper' => [
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ],
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ],
                    [
                        'label' => 'Web',
                        'name' => 'menu_link_web',
                        'type' => 'url',
                        'instructions' => 'Ouverture du lien web automatiquement si l\'application n\'est pas installé',
                        'required' => 0,
                        'conditional_logic' => [],
                        'wrapper' => [
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ],
                        'default_value' => '',
                        'placeholder' => '',
                    ],
                ],
            ],
        ],
    ];
}
