<?php

/**
 * This is an example file showcasing how you can add custom post types to your Flynt theme.
 *
 * For a full list of parameters see https://developer.wordpress.org/reference/functions/register_post_type/ or use https://generatewp.com/post-type/ to generate the code for you.
 */

namespace Flynt\CustomPostTypes;

function registerDoctorPostType()
{
    $labels = [
        'name'                     => 'Médecins',
        'singular_name'            => 'Médecin',
        'menu_name'                => 'Médecins',
        'add_new'                  => 'Ajouter',
        'add_new_item'             => 'Ajouter un nouveau médecin',
        'edit_item'                => 'Modifier le médecin',
        'new_item'                 => 'Nouveau médecin',
        'view_item'                => 'Voir le médecin',
        'view_items'               => 'Voir les médecins',
        'search_items'             => 'Rechercher dans les médecins',
        'not_found'                => 'Aucun médecin trouvé.',
        'not_found_in_trash'       => 'Aucun médecin trouvé dans la corbeille',
        'parent_item_colon'        => 'Médecin parent :',
        'all_items'                => 'Tous les médecins',
        'archives'                 => 'Archive des médecins',
        'attributes'               => 'Attributs du médecin',
        'insert_into_item'         => 'Insérer dans le médecin',
        'uploaded_to_this_item'    => 'Téléversé sur ce médecin',
        'feature_image'            => 'Image à la une',
        'set_featured_image'       => 'Utiliser comme image à la une',
        'remove_featured_image'    => 'Supprimer l’image à la une',
        'use_featured_image'       => 'Utiliser comme image à la une',
        'filter_items_list'        => 'Filtrer la liste des médecins',
        'filter_by_date'           => 'Filtrer par date',
        'items_list_navigation'    => 'Navigation de la liste des médecins',
        'items_list'               => 'Liste des médecins',
        'item_published'           => 'Médecin publié',
        'item_published_privately' => 'Médecin mis en ligne en privé.',
        'item_reverted_to_draft'   => 'Médecin reconverti en brouillon.',
        'item_scheduled'           => 'Médecin planifié.',
        'item_updated'             => 'Médecin mis à jour.',
        'item_link'                => 'Lien de médecin',
        'item_link_description'    => 'Un lien vers un médecin',
    ];
    $args = [
        'label'                 => __('Post Type', 'flynt'),
        'description'           => __('Post Type Description', 'flynt'),
        'labels'                => $labels,
        'supports'              => ['title', 'revisions'],
        'taxonomies'            => ['category', 'post_tag'],
        'hierarchical'          => false,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 50,
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,
        'exclude_from_search'   => false,
        'publicly_queryable'    => true,
        'capability_type'       => 'page',
        'show_in_rest'          => true,
        'menu_icon'             => 'dashicons-welcome-learn-more',

    ];

    register_post_type('doctor', $args);
}

add_action('init', '\\Flynt\\CustomPostTypes\\registerDoctorPostType');
