<?php

/**
 * This is an example file showcasing how you can add custom Numéros utiles to your Flynt theme.
 *
 * For a full list of parameters see https://developer.wordpress.org/reference/functions/register_post_type/ or use https://generatewp.com/post-type/ to generate the code for you.
 */

namespace Flynt\CustomPostTypes;

function registerUsefulNumberPostType()
{
    $labels = [
        'name'                     => 'Numéros utiles',
        'singular_name'            => 'Numéro utiles',
        'menu_name'                => 'Numéros utiles',
        'add_new'                  => 'Ajouter',
        'add_new_item'             => 'Ajouter un nouveau numéro utiles',
        'edit_item'                => 'Modifier le numéro utiles',
        'new_item'                 => 'Nouveau numéro utiles',
        'view_item'                => 'Voir le numéro utiles',
        'view_items'               => 'Voir les numéros utiles',
        'search_items'             => 'Rechercher dans les numéros utiles',
        'not_found'                => 'Aucun numéro utiles trouvé.',
        'not_found_in_trash'       => 'Aucun numéro utiles trouvé dans la corbeille',
        'parent_item_colon'        => 'Numéro utiles parent :',
        'all_items'                => 'Tous les numéros utiles',
        'archives'                 => 'Archive des numéros utiles',
        'attributes'               => 'Attributs du numéro utiles',
        'insert_into_item'         => 'Insérer dans le numéro utiles',
        'uploaded_to_this_item'    => 'Téléversé sur ce numéro utiles',
        'feature_image'            => 'Image à la une',
        'set_featured_image'       => 'Utiliser comme image à la une',
        'remove_featured_image'    => 'Supprimer l’image à la une',
        'use_featured_image'       => 'Utiliser comme image à la une',
        'filter_items_list'        => 'Filtrer la liste des numéros utiles',
        'filter_by_date'           => 'Filtrer par date',
        'items_list_navigation'    => 'Navigation de la liste des numéros utiles',
        'items_list'               => 'Liste des numéros utiles',
        'item_published'           => 'Numéro utiles publié',
        'item_published_privately' => 'Numéro utiles mis en ligne en privé.',
        'item_reverted_to_draft'   => 'Numéro utiles reconverti en brouillon.',
        'item_scheduled'           => 'Numéro utiles planifié.',
        'item_updated'             => 'Numéro utiles mis à jour.',
        'item_link'                => 'Lien de numéro utiles',
        'item_link_description'    => 'Un lien vers un numéro utiles',
    ];
    $args = [
        'label'                 => __('Numéro utile', 'flynt'),
        'description'           => __('Numéro utile Description', 'flynt'),
        'labels'                => $labels,
        'supports'              => ['title', 'revisions'],
        'taxonomies'            => ['category', 'post_tag'],
        'hierarchical'          => false,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 50,
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,
        'exclude_from_search'   => false,
        'publicly_queryable'    => true,
        'capability_type'       => 'page',
        'show_in_rest'          => true,
        'menu_icon'             => 'dashicons-phone',


    ];
    register_post_type('useful-number', $args);
}

add_action('init', '\\Flynt\\CustomPostTypes\\registerUsefulNumberPostType');
